<?php
error_reporting(0);
$k=trim($_GET['k']); include("key.php");
$d=rawurldecode(trim($_GET['d'])); $n=rawurldecode(trim($_GET['n']));
if ($d==NULL) {$d="";} else {if ($d=="/") {$d="";}}
if ($n==NULL) {$n=preg_replace("~.*/([^/]*)~m","\\1",$d);
$d=preg_replace("~(.*)/[^/]*~m","\\1",$d);}
$go=$_GET['go']; $nm=trim($_GET['nm']);
$rd=rawurlencode($d); $rn=rawurlencode($n);
$d=str_replace('$','$$',$d); $n=str_replace('$','$$',$n);
$d=str_replace(".|htaccess",".htaccess",$d);
$n=str_replace(".|htaccess",".htaccess",$n);

if (($go==1)&&($nm<>NULL)) {
 if (($ftp=@ftp_connect($sr))&&(@ftp_login($ftp,$lg,$ps))) {
  @ftp_pasv($ftp,true);
  if (@ftp_size($ftp,$nm)==-1) {
   @ftp_close($ftp);
   header("Location: ".$dftp."/ftp.php?k=".$k."&d=".$nm.""); exit;
  } else {
   @ftp_close($ftp);
   $name=preg_replace("~.*/([^/]*)~m","\\1",$nm);
   $nm=preg_replace("~(.*)/[^/]*~m","\\1",$nm);
   header("Location: ".$dftp."/file.php?k=".$k."&d=".$nm."&n=".$name.""); exit;
  }
 } else {
include "includes/header.php"; 
echo '<div class="box_1">
Нет соединения с сервером</div>
<div class="title_page"><a href="index.php">Главная</a></div>';
 }
} else {
include "includes/header.php";
$num=@file_get_contents("allnumbd.dat"); $nar=NULL;
$num++; $nar=$num; if ($num>99999999) {$num=0;}
$f=@fopen("allnumbd.dat","w"); @fwrite($f,$num); @fclose($f);
echo '<div class="title_page">Переход в:</div>';
echo '<div class="box_2">
<form action="go.php" method="get">
Папка: <b><a href="ftp.php?k='.$k.'&amp;d='.$rd.'&amp;n='.$rn.'">'.$d.'/'.$n.'</a></b><br/>
</div><div class="box_1">
<input name="nm" type="text" value="'.$d.'/'.$n.'" maxlength="250"/><br/>
<input type="hidden" name="k" value="'.$k.'"/>
<input type="hidden" name="d" value="'.$rd.'"/>
<input type="hidden" name="n" value="'.$rn.'"/>
<input type="hidden" name="go" value="1"/>
<input type="submit" value="Перейти"></form>
</div>';
}
include "includes/footer.php";
?>